e TB Manager Bangladesh - Feature #976

Create 3 tags to bangladesh
12/02/2013 10:07 AM - Mauricio Dos Santos

Status: Closed Start date: 12/02/2013
Priority: Normal Due date:

Assignee: Mauricio Dos Santos % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Create the following 3 tags to bangladesh after daily update is implemented...

Cases without culture results by over than 120 days - If the last culture exam has more than 120 days.

select *

from tbcase a

where

a.state in (0,1,2)

and exists(select *

from examculture ecu

where ecu.datecollected = (select max(ecu2.datecollected) from examculture ecu2 where ecu2.case_id = ecu.case_id)

and (DATE_ADD(ecu.datecollected, INTERVAL 120 DAY)) <= curdate()
and a.id = ecu.case_id);

Cases without microscopy results by over than 60 days - If the last microscopy exam has more than 60 days until today
select *

from tbcase a

where

a.state in (1,2)

and exists(select *
from exammicroscopy em
where em.datecollected = (select max(em2.datecollected) from exammicroscopy em2 where em2.case_id = em.case_id)

and (DATE_ADD(em.datecollected, INTERVAL 60 DAY)) <= curdate()

and a.id = em.case_id);

Cases without outcome by the end of treatment - Cases that the treatment end date is before today.
select * from tbcase a where

a.state < 3
and a.endtreatmentdate > curdate();

History

#1 - 12/05/2013 06:15 PM - Mauricio Dos Santos

- Assignee set to Mauricio Dos Santos

Waiting validation of daily update functionality.

#2 - 12/13/2013 01:24 PM - Mauricio Dos Santos

- Status changed from In Progress to Resolved

#3 - 12/17/2013 04:55 PM - Luis Gustavo do Valle Bastos
- File Automated tags.JPG added
- Tracker changed from Bug to Feature

- Status changed from Resolved to Feedback
Time for daily updating isn't happing as planned, i.e., 03:00am. It's seems to be 17 minutes delayed. See figure attached.

#4 - 02/11/2014 12:49 PM - Mauricio Dos Santos

- Status changed from Feedback to In Progress

#5 - 02/11/2014 03:39 PM - Mauricio Dos Santos

The 3 tags are being daily updated and are functional... But the time that is being displayed as the execution time of the daily update is not right.
Apparently the tags are being updated at the wrong time and the Time zone converting is not working properly.

A talk with Ricardo is needed.

#6 - 03/02/2014 12:36 PM - Mauricio Dos Santos

Tags were being updated at 20:17, there were a mistake on the taskscheduler code, not it is ok!

Now | will just wait for bangladesh server to be updated and check if it is being executed at the right time.

#7 - 05/28/2014 02:59 PM - Mauricio Dos Santos

- Status changed from In Progress to Resolved

#8 - 09/24/2016 08:37 PM - Ricardo Memoria

- Status changed from Resolved to Closed

Files

Automated tags.JPG 73.6 KB 12/17/2013 Luis Gustavo do Valle Bastos
